
/////////////////////////
///// カルテからの継承値 ///

function noa(){
    if (window.opener.name == "noa"){
        return window.opener;
    } else if (window.opener.name == "tools"){
        return window.top.noa;
    } else if (window.top.noa){
        return window.top.noa;
    } else {
        alert("ERROR *** panelEditor: window.opener としての NOA が見つかりません");
        return null;
    }
}

///// カルテからの継承値 ///
/////////////////////////


function preferenceHelp(){
	// 初期設定ヘルプをパネル表示
	window.open("./preferenceHelp.html","Help"
				,"width=450,height=700,scrollbars=yes,resizable=yes");
}

function initPreference(){
    // 初期設定ペーンを開く
	var elm = document.getElementById("base");
    elm.innerHTML = "";

    // HEADER
    var div = newDIV(elm, "yellow-bar");
    var tbl = newTABLE(div, "base-table");
    tbl.style.fontSize = "10pt";
	var tr = newTR(tbl, "", "");
    // --- LEFT SIDE ---
    // PATIENT ID
	var td = newTD(tr, "left-side", "初期設定");
    // --- RIGHT SIDE ---
    // HELP ICON
	var td = newTD(tr, "right-side", "");
    // HELP ICON
	var img = newIMAGE(td, "", "./Help.png", "?");
	img.style.height = "17px";
	img.setAttribute("onclick", "preferenceHelp()");

    // BODY
    var dv = newDIV(elm, "yellow-body");
    dv.style.padding = "2px 10px";
    dv.style.fontSize = "10pt";

    ///// 画面表示
    makeSubTitle(dv, "カルテ画面表示");
    // OMIT CHECK BOX： setOmitStatus(）は localStorage.js
    makeLine(dv, "診療録の過去履歴で空欄を表示しない", omitStatus(), "setOmitStatus(this)");
    
    ///// ポーリング：受付受診者チェック
    makeSubTitle(dv, "受診者 受付状態のチェック");
    makeLine(dv, "受付チェックをしない", noa().noCheckWaiting(), "noa().setNoCheckWaiting(this)");
    makeLine(dv, "診療終了者は表示しない", waitingStatus(), "setWaitingStatus(this)");
    
    ///// PROBLEM LIST
    makeSubTitle(dv, "ProblemList の表示");
    // OMIT CHECK BOX： showProblem(）は localStorage.js
    makeLine(dv, "カルテ開いた際の自動表示せず", omitProblem(), "setOmitProblem(this)");
    
    ///// 印刷関係
    makeSubTitle(dv, "印刷");
    // PRINT PAGE FONT： pagePrintFontSize(）は localStorage.js
    makeLine(dv, "小フォントで印刷する", pagePrintFontSize(), "setPagePrintFontSize(this)");
    // PRINT PAGE WIDTH： pagePrintWidth(）setPagePrintWidth() は localStorage.js
    makeLine(dv, "小ページ巾で印刷する", pagePrintWidth(), "setPagePrintWidth(this)");

    ///// HELP
    makeSubTitle(dv, "NOA 立ち上げ時にヘルプを表示");
    // OMIT CHECK BOX： showProblem(）は localStorage.js
    makeLine(dv, "立ち上げ時のヘルプ表示せず", showHelp(), "setShowHelp(this)");
    
    // FOOTER
    var dv = newDIV(elm, "yellow-bar");
    dv.innerHTML = "　";
    
    function makeSubTitle(elm, label){
        // サブタイトルを生成
        var dv = newDIV(elm, "");
        dv.style.color = "#888";
        dv.style.marginTop = "5px";
        dv.innerHTML = label;
    }
    
    function makeLine(elm, label, status, action){
        // 設定行を生成
        var dv = newDIV(elm, "");
        dv.style.marginTop = "5px";
        dv.style.marginLeft = "10px";
        var cb = newCHECKBOX(dv, "omitButton", label, status);
        cb.setAttribute("onchange", action);
    }
}

